Package org.eclipse.m2m.atl.common.ATL

# Class BindingStat

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
org.eclipse.m2m.atl.common.ATL.LocatedElement
org.eclipse.m2m.atl.common.ATL.Statement
org.eclipse.m2m.atl.common.ATL.BindingStat

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder`, `org.eclipse.emf.ecore.InternalEObject`

public class BindingStat extends Statement
A representation of the model object 'Binding Stat'.

The following features are supported:

- `Source`
- `Property Name`
- `Is Assignment`
- `Value`

See Also:
  - `ATLPackage.getBindingStat()`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final boolean`
`IS_ASSIGNMENT_EDEFAULT`
The default value of the '`Is Assignment`' attribute.
`protected boolean`
`isAssignment`
The cached value of the '`Is Assignment`' attribute.
`protected static final String`
`PROPERTY_NAME_EDEFAULT`
The default value of the '`Property Name`' attribute.
`protected String`
`propertyName`
The cached value of the '`Property Name`' attribute.
`protected OclExpression`
`source`
The cached value of the '`Source`' containment reference.
`protected OclExpression`
`value`
The cached value of the '`Value`' containment reference.

### Fields inherited from class org.eclipse.m2m.atl.common.ATL.LocatedElement

`commentsAfter, commentsBefore, location, LOCATION_EDEFAULT`

### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eContainer`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`BindingStat()`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetSource(OclExpression newSource, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetValue(OclExpression newValue, org.eclipse.emf.common.notify.NotificationChain msgs)`
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`protected org.eclipse.emf.ecore.EClass`
`eStaticClass()`
`void`
`eUnset(int featureID)`
`String`
`getPropertyName()`
Returns the value of the 'Property Name' attribute.
`OclExpression`
`getSource()`
Returns the value of the 'Source' containment reference.
`OclExpression`
`getValue()`
Returns the value of the 'Value' containment reference.
`boolean`
`isIsAssignment()`
Returns the value of the 'Is Assignment' attribute.
`void`
`setIsAssignment(boolean newIsAssignment)`
Sets the value of the '`Is Assignment`' attribute.
`void`
`setPropertyName(String newPropertyName)`
Sets the value of the '`Property Name`' attribute.
`void`
`setSource(OclExpression newSource)`
Sets the value of the '`Source`' containment reference.
`void`
`setValue(OclExpression newValue)`
Sets the value of the '`Value`' containment reference.
`String`
`toString()`

### Methods inherited from class org.eclipse.m2m.atl.common.ATL.LocatedElement

`getCommentsAfter, getCommentsBefore, getLocation, setLocation`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eBasicSetContainer, eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### source

protected OclExpression source
The cached value of the '`Source`' containment reference.

See Also:
  - `getSource()`

### PROPERTY_NAME_EDEFAULT

protected static final String PROPERTY_NAME_EDEFAULT
The default value of the '`Property Name`' attribute.

See Also:
  - `getPropertyName()`

### propertyName

protected String propertyName
The cached value of the '`Property Name`' attribute.

See Also:
  - `getPropertyName()`

### IS_ASSIGNMENT_EDEFAULT

protected static final boolean IS_ASSIGNMENT_EDEFAULT
The default value of the '`Is Assignment`' attribute.

See Also:
  - `isIsAssignment()`
  - Constant Field Values

### isAssignment

protected boolean isAssignment
The cached value of the '`Is Assignment`' attribute.

See Also:
  - `isIsAssignment()`

### value

protected OclExpression value
The cached value of the '`Value`' containment reference.

See Also:
  - `getValue()`

## Constructor Details

### BindingStat

protected BindingStat()

## Method Details

### eStaticClass

protected org.eclipse.emf.ecore.EClass eStaticClass()

Overrides:
  `eStaticClass` in class `Statement`

### getSource

public OclExpression getSource()
Returns the value of the 'Source' containment reference.

If the meaning of the 'Source' containment reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Source' containment reference.
See Also:
  - `setSource(OclExpression)`
  - `ATLPackage.getBindingStat_Source()`

### basicSetSource

public org.eclipse.emf.common.notify.NotificationChain basicSetSource(OclExpression newSource, org.eclipse.emf.common.notify.NotificationChain msgs)

### setSource

public void setSource(OclExpression newSource)
Sets the value of the '`Source`' containment reference.

Parameters:
  `value` - the new value of the 'Source' containment reference.
See Also:
  - `getSource()`

### getPropertyName

public String getPropertyName()
Returns the value of the 'Property Name' attribute.

If the meaning of the 'Property Name' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Property Name' attribute.
See Also:
  - `setPropertyName(String)`
  - `ATLPackage.getBindingStat_PropertyName()`

### setPropertyName

public void setPropertyName(String newPropertyName)
Sets the value of the '`Property Name`' attribute.

Parameters:
  `value` - the new value of the 'Property Name' attribute.
See Also:
  - `getPropertyName()`

### isIsAssignment

public boolean isIsAssignment()
Returns the value of the 'Is Assignment' attribute.

If the meaning of the 'Is Assignment' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Is Assignment' attribute.
See Also:
  - `setIsAssignment(boolean)`
  - `ATLPackage.getBindingStat_IsAssignment()`

### setIsAssignment

public void setIsAssignment(boolean newIsAssignment)
Sets the value of the '`Is Assignment`' attribute.

Parameters:
  `value` - the new value of the 'Is Assignment' attribute.
See Also:
  - `isIsAssignment()`

### getValue

public OclExpression getValue()
Returns the value of the 'Value' containment reference.

If the meaning of the 'Value' containment reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Value' containment reference.
See Also:
  - `setValue(OclExpression)`
  - `ATLPackage.getBindingStat_Value()`

### basicSetValue

public org.eclipse.emf.common.notify.NotificationChain basicSetValue(OclExpression newValue, org.eclipse.emf.common.notify.NotificationChain msgs)

### setValue

public void setValue(OclExpression newValue)
Sets the value of the '`Value`' containment reference.

Parameters:
  `value` - the new value of the 'Value' containment reference.
See Also:
  - `getValue()`

### eInverseRemove

public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `LocatedElement`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `LocatedElement`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `LocatedElement`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `LocatedElement`

### toString

public String toString()

Overrides:
  `toString` in class `LocatedElement`